/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\addons\laddernorth.cs
Lines of code: 57
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class laddernorthAddon : BaseAddon
	{
		public override BaseAddonDeed Deed{ get{ return new laddernorthDeed(); } }
		public override bool RetainDeedHue{ get{ return true; } }

		[Constructable]
		public laddernorthAddon()
		{
						
			AddComponent( new AddonComponent( 2212 ), 0, 0, 0 );    //ladder part 1
			AddComponent( new AddonComponent( 2212 ),  0, -1, 11 );//ladder part 2
			
			AddComponent( new impassableaddon(), 0, -2, 22 ); //impassible

			AddComponent( new teleporteraddon(0,-2,5), 0, -1, 22 );    //teleporter 1 (for roofs with ledges)
			AddComponent( new teleporteraddon(0,2,2), 0, -3, 20 );    //teleporter 2 (for roofs with ledges)
		}

		public laddernorthAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
		

	public class laddernorthDeed : BaseAddonDeed
	{
		public override BaseAddon Addon{ get{ return new laddernorthAddon(); } }
		
		public override string DefaultName
		{
			get { return "Ladder (north)"; }
		}
		
		
		[Constructable]
		public laddernorthDeed()
		{
		}

		public laddernorthDeed( Serial serial ) : base( serial )
		{
		}
		
		
		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}